@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=.select-wrapper');

:root {
    --primary-color: #0080ff;
    --dark-color: #151515;
    --secondary-color: #0059ff;

}

html {
    font-family: 'Poppins', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ********************************** */
/*             UTILIDADES             */
/* ********************************** */
.container {
    max-width: 120rem;
    margin: 0 70px;

}


/* ********************************** */
/*               HEADER               */
/* ********************************** */

.container-hero {
    background-color: var(--background-color);
}

@media (max-width: 768px) {

 .container-categories p {
    font-size: 20%;
  }
#navPanelToggle{
  margin-top: 5px;
  color: white;
  font-size: 150%;
  text-shadow: 2px 2px 4px #000 ;
}
  
   /*  .container-hero {
        flex-direction: column;
      margin-left: -20px; 
      margin-bottom: -8px;
      margin-top: -8px;
        } */
    
      .customer-support,
      .container-user {
        display: none !important; /* Oculta los elementos en pantallas pequeñas */
      }
    
      .container-logo {
        text-align: center !important;
        align-items: center !important;
        margin-left: -30px; /* Centra el logo en pantallas pequeñas */
      }
    


      }
.hero {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8PX 0;

}

.customer-support {
    display: flex;
    align-items: center;
    gap: 2rem;
    font-size: 70.5%;
    margin-top: 30px;
}

.customer-support i {
    font-size: 2.3rem;

}

.content-customer-support {
    display: flex;
    flex-direction: column;
}

.container-logo {
    display: flex;
    align-items: center;
    gap: 0.5rem;

}

.container-logo i {
    font-size: 3rem;
}

.container-logo h1 a {
    text-decoration: none;
    color: #000;
    font-size: 3rem;
    text-transform: uppercase;
    letter-spacing: -1px;
}

.container-user {
    display: flex;
    gap: 1rem;
    cursor: pointer;
    margin-top: 30px;
}

.container-user .fa-user {
    font-size: 3rem;
    color: var(--primary-color);
    padding-right: 2.5rem;
    border-right: 1px solid #e2e2e2;
}

.container-user .fa-basket-shopping {
    font-size: 3rem;
    color: var(--primary-color);
    padding-left: 1rem;
}

.content-shopping-cart {
    display: flex;
    flex-direction: column;
}

#logoimg {
    height: 100px;

}



.primary#cotizar {
    background-color: #3855b0;
}

.primary#cotizar:hover {
    background-color: #273c7d;
}


#header1 {
    background-color: rgb(255, 255, 255);
}

#nav {
    background-color: #4e5358;
}

#sec1 {
    background-color: #1e252d;
}

ul li a {
    text-decoration: none; /* Elimina la decoración del subrayado */
    color: white;
  }


  
/* ********************************** */
/*              FOOTER               */
/* ********************************** */

footer1 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: #4e5358;
    /* Color de fondo del footer, ajusta según tu diseño */
    padding: px;
    /* Ajusta el espaciado interior según tus necesidades */
    color: #fff;
    /* Color del texto, ajusta según tu diseño */
    text-align: center;
    /* Centra el texto en cada sección del footer */
}

.footer-section {
    flex: 1;
    text-align: left;
    /* Alinea el texto a la izquierda dentro de cada sección */
    padding: 30px;
    /* Ajusta el espaciado interno según tus necesidades */
}

.logofooter {
    width: 250%;
    /* Ajusta el ancho de la imagen según tus necesidades */
    max-width: 250px;
    /* Ancho máximo para evitar que la imagen sea demasiado grande en dispositivos grandes */
    height: 90%;
    /* Para mantener la proporción de la imagen */
}

.footer-section a {
    color: #fff;
    /* Color de los enlaces, ajusta según tu diseño */
    text-decoration: none;
}

.icons.alt {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
}

.icons.alt li {
    margin: 0 5px;
    /* Ajusta el espaciado entre los iconos según tus necesidades */
}


 

@media (max-width: 768px) {
    footer1 {
        flex-direction: column;
        align-items: center;
    }

    .footer-section {
        flex: 1;
        text-align: center;
        padding: 20px;
    }

    .footer-section:not(:last-child) {
        margin-bottom: 20px;
    }

    .logofooter {
        width: 100%;
        max-width: none;
    }

    h1{
        font-size: 350% !important;
    }

  
    #logoimg{
        margin-left: -10px;
    }
}

/* Nav menu */
nav.servicios {
    width: 100%;
    display: flex;
    justify-content: center; /* Centra los elementos horizontalmente */
    align-items: center;
    background-color: #f6f6f6;
    z-index: 990;
    font-size: 16px;
    
}



.round {
    border-radius: 50px; /* Ajusta el valor según tu preferencia */
    overflow: visible; /* Cambiado a visible para mostrar elementos fuera del contenedor */
}

.custom-ul {
    display: flex;
    align-items: center;
    list-style: none; /* Quitado del .custom-li y agregado aquí */
    padding: 0; /* Quitado del .custom-li y agregado aquí */
    border-bottom: -30px;

    @media (max-width: 768px) {
        flex-direction: column;
        padding: 1.5vw 0vw;
        
        
    }
}

.custom-li {
    cursor: pointer;
    padding: 1.5vw 3vw;
    transition: all .3s ease 0s; 
    @media (max-width: 768px) {
       
        padding: 2vw 5vw;
        font-size: 130%;
        
        
        
    }
}

.custom-li:hover {
    background-color: #273c7d;
    border-radius: 10px;
}

.develop {
    position: relative;
}

.ul-second {
    display: none;
    position: absolute;
    margin-top: 1.5vw;
    z-index: 5;
    
}

.ul-second > .custom-li {
    width: 130%;
    transform: translateX(0px);
    border-bottom:solid 1px #fff ;
    text-align: center;
    background-color: #ffffff;
    border-bottom: 1px solid  hsl(0, 0%, 91%);
    @media (max-width: 768px) {
        padding: 1.5vw 1vw !important;
        font-size: 100% !important;
        border-color: #00000086 !important;
        
        
    
    }
}
a.letras{
    color: #000;
}

.custom-li:hover{
    color: #ffffff !important;
}

.ul-second > .custom-li:hover .letras {
    color: white;
}

  .custom-li .letras:hover {
    color: white !important; /* Mantener el color en blanco */
  }

  .vermas:hover {
    color: #107bff !important; /* Mantener el color en blanco */
  }

.ul-second > .custom-li:hover {
    background-color: #273c7d;
    @media (max-width: 768px) {
        padding: 1.5vw 1vw !important;
        border-radius: 2px;
    }
}

.develop:hover > .ul-second {
    display: block;
}

.ul-third {
    position: absolute;
    transform: translateX(100%);
    right: 0;
    top: 40%;
    display: none;
    background-color: #ffffff;
    @media (max-width: 768px) {
        padding: 1.5vw 1vw !important;
        border: 1px solid rgba(0, 0, 0, 0.486) !important;
        
   
        right: 326px;
        top: 5%;
        ---li{
            font-size: 90%;
        }
        li:hover{
            border-radius: 5px !important;
        }
    }
}

.ul-third > .custom-li {
    padding: 1.5vw;
    border-bottom: solid 1px #fff;
}

.front:hover > .ul-third {
    display: block;
    
}

@media (max-width:900px) {
    .logo-danicodex {
        display: none;
    }
}
/* ********************************** */
/*             Secciones             */
/* ********************************** */

.heading-1#servicios{
	padding-top: 60px;
    margin-bottom: -10px;
	text-align: center;
	font-size: 4rem;
	color: white;
}

.heading-1#servicios2{
	padding-top: 60px;
	text-align: center;
	font-size: 3.5rem;
	color: white;
}


.heading-1{
    transform: translateY(100%);
    animation: slideInFromBottom .7s ease-in-out forwards;
}
@keyframes slideInFromBottom {
    from {
        transform: translateY(-50%);
    }
    to {
        transform: translateY(0);
    }
}
.card-category p{
    font-size: 20%;
}
.heading-1#mejorescategorias{
    transform: translateY(100%);
    animation: slideInFromBottom .7s ease-in-out forwards;
}
@keyframes slideInFromBottom {
    from {
        transform: translateY(100%);
    }
    to {
        transform: translateY(0);
    }
}
.fondo{
	background-image: linear-gradient(100deg, #1612224e, #2620c51c),
	url('../images/banner5.png');
}

.top-categories {
	
	display: flex;
	flex-direction: column;
	gap: 2rem;
	margin-bottom: 3rem;
	text-align: center;

}



@media (max-width: 768px) {
    .container-categories {
      align-items: center;
      padding: 0;

    }

    .card-category{
        align-items: center;
        min-height: 30px;
    }
     }

.container-categories {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 3rem;
   
    
    @media (max-width: 768px) {
        display: flex !important;
        flex-direction: column!important;
    }
}
.card-category {
	height: 15rem;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	border-radius: 2rem;
	gap: 2rem;
     @media (max-width: 768px) {
        height: 200px !important;
        width: auto!important;
        min-width: 372px;
        p{
            font-size: 350% !important;
        }
        a{
            font-size: 200%;
        }
    }
	
}



.category-electricas {
	background-image: linear-gradient(#00000080, #00000080),
		url('../images/sb/1\ \(9\).jpeg');
	background-size: cover;
	background-position: center ;
	background-repeat: no-repeat;
    
}

.category-cableado {
    background-image: linear-gradient(#00000080, #00000080),
    url('../images/sb/pozo.jpg');
    background-size:cover;
    background-position:center 70% ;
}
.category-panel {
    background-image: linear-gradient(#00000080, #00000080),
    url('../images/sb/panel.jpg');
    background-size:cover;
    background-position:center  ;
}
.category-poste {
	background-image: linear-gradient(#00000080, #00000080),
	url('../images/sb/trverde.jpg');
	background-size: cover;
	background-position: center ;
    top: 50px
    
}

.category-subes {
	background-image: linear-gradient(#00000080, #00000080),
	url('../images/sb/sbgris.jpg');
	background-size:cover;
	background-position:center  ;
}

.category-grua {
	background-image: linear-gradient(#00000080, #00000080),
	url('../images/sb/1\ \(22).jpeg');
	background-size:100%;
	background-position: center  ;
}

.category-combinadoras {
	background-image: linear-gradient(#00000080, #00000080),
	url('../images/sb/sec1.1.jpg');
	background-size:cover;
	background-position: center -150%;
}


.category-transformadores {
	background-image: linear-gradient(#00000080, #00000080),
	url('../images/sb/1\ \(13).jpeg');
	background-size:cover;
	background-position:center  -130px;
}

.category-combinadora {
	background-image: linear-gradient(#0000004c, #00000034),
	url('../images/sb/1\ \(22\).jpeg');
	background-size:cover;
	background-position:center -270px ;
}

.category-motores{
	background-image: linear-gradient(#00000080, #00000080),
	url('../images/sb/1\ \(25\).jpeg');
	background-size:cover;
	background-position:center x ;
}

.card-category {
    cursor: pointer;
  }
/*  */

.category-electricas:hover {
	background-image: linear-gradient(#00000038, #00000030),
		url('../images/sb/1\ \(9\).jpeg');
	background-size: cover;
	background-position: center ;
	background-repeat: no-repeat;
    
}

.category-cableado:hover {
	background-image: linear-gradient(#00000038, #00000030),
    url('../images/sb/pozo.jpg');
    background-size:cover;
    background-position:center 70% ;
}
.category-panel:hover {
	background-image: linear-gradient(#00000038, #00000030),
    url('../images/sb/panel.jpg');
    background-size:cover;
    background-position:center  ;
}
.category-poste:hover {
	background-image: linear-gradient(#00000038, #00000030),
	url('../images/sb/trverde.jpg');
	background-size: cover;
	background-position: center ;
    top: 50px
    
}

.category-subes:hover{
	background-image: linear-gradient(#00000038, #00000030),
	url('../images/sb/sbgris.jpg');
	background-size:cover;
	background-position:center  ;
}

.category-grua:hover {
	background-image: linear-gradient(#00000038, #00000030),
	url('../images/sb/1\ \(22).jpeg');
	background-size:100%;
	background-position: center ;
}

.category-combinadoras:hover {
	background-image: linear-gradient(#00000038, #00000030),
	url('../images/sb/sec1.1.jpg');
	background-size:cover;
	background-position: center -150%;
}


.category-transformadores:hover {
	background-image: linear-gradient(#00000038, #00000030),
	url('../images/sb/1\ \(13).jpeg');
	background-size:cover;
	background-position:center  -130px;
}


.category-combinadora:hover{
	background-image: linear-gradient(#00000038, #00000030),
	url('../images/sb/1\ \(22\).jpeg');
	background-size:cover;
	background-position:center -270px ;
}

.category-motores:hover{
	background-image: linear-gradient(#00000038, #00000030),
	url('../images/sb/1\ \(25\).jpeg');
	background-size:cover;
	background-position:center x ;
}


.card-category p {
	font-size: 2rem;
	color: #fff;
	text-transform: capitalize;
	position: relative;
    
}

.card-category p::after {
	content: '';
	width: 1rem;
	height: 2px;
	background-color: #fff;
	position: absolute;
	bottom: -1rem;
	left: 50%;
	transform: translate(-50%, 50%);
    
}

.card-category span {
	font-size: 1.6rem;
	color: #fff;
	cursor: pointer;
}

.card-category span:hover {
	color: var(--primary-color);
}

  /* PopUp */
  .tras{   
    width: 100%;
    height: 100%;
    padding: 0;
    position: absolute;
    transform: translate(-50%,-50%);
    left: 50%;
    top: 50%;
    display: none;
    text-align: center;
    position: fixed;
    z-index: 999;
    background-color: #15151571;
}

  .popup{   
    width: 70%;
    height: 80%;
    padding: 30px 40px;
    position: absolute;
    transform: translate(-50%,-50%);
    left: 50%;
    top: 50%;
    border-radius: 8px;
    font-family: "Poppins",sans-serif;
    display: none;
    text-align: center;
    position: fixed;
    z-index: 1001;
    background-image: linear-gradient(100deg, #1612224e, #11102ada),
	url('../images/sun-tornado.png');
    
    @media (max-width: 768px) {
    
        overflow: scroll;
        width: 90%;
        height: 90%;
        
        

    }
}

.popup button{
    display: block;
    margin:  0 0 20px auto;
    background-color: transparent;
    font-size: 30px;
    color: #ff0000;
    border: none;
    outline: none;
    cursor: pointer;
    box-shadow: none;
	color: #ffffff !important;
    
    
    
}

.popup button:hover{
    color: rgb(52, 147, 224) !important;
}
.popup h2{
    color: white;
}
.popup p{
    font-size: 14px;
    text-align: justify;
    margin: 20px 0;
    line-height: 25px;
    color: #f6f6f6;
    @media (max-width: 768px) {
        font-size: 190%;
        text-align: justify;
        margin: 20px 0;
        line-height: 20px;
        
        }
}
/* .popup a{
    display: block;
    width: 150px;
    position: relative;
    margin: 10px auto;
    text-align: center;
    background-color: #30da30;
    color: #ffffff;
    text-decoration: none;
    padding: 4px;
    border-radius: 5px;
} */


.popup img{
    width: 90%;
    height: auto;
   
    border-radius: 15px;
    margin-top: 10% ;
    margin-bottom: 19px;
}

.contenedorpop {
  display: grid;
  grid-template-columns: 1fr 1fr; /* Dos columnas de igual anchura */
  height: 20%; /* Establece la altura al 100% de la ventana de visualización */
  @media (max-width: 768px) {
    
        display: flex;
        flex-direction: column;
        
        

    }

  
  }

  .miDivpop {
    border-top: 2px solid #ffffff; /* Ancho y color del borde superior */
    border-bottom: 2px solid #ffffff; /* Ancho y color del borde inferior */
    padding: 10px; /* Espacio interno del contenido, opcional */
    background-color: rgba(255, 255, 255, 0.1); /* Fondo con opacidad para destacar el borde inferior */
    
    @media (min-width: 768px) {
    -ms-overflow-style: none; /* Oculta la barra de desplazamiento en Microsoft Edge */
    scrollbar-width: none;
    overflow-y: auto;
    
      height: 100%;
      margin: 0;
    }
  }

  .btnpop{
    cursor:pointer;
        position:relative;
        padding:8px 16px;
        background:rgb(55, 235, 39);
        color: white;
        font-size:18px;
        border-top-right-radius:10px;
        border-bottom-left-radius:10px;
        transition:all 1s;
        &:after,&:before{
            content:" ";
            width:10px;
            height:10px;
            position:absolute;
            border :0px solid #fff;
            transition:all 1s;
            }
        &:after{
            top:0px;
            left:0px;
            border-top:3px solid rgb(255, 255, 255);
            border-left:3px solid rgb(255, 255, 255);
        }
        &:before{
            bottom:-1px;
            right:-1px;
            border-bottom:3px solid rgb(255, 255, 255);
            border-right:3px solid rgb(255, 255, 255);
        }
        &:hover{
            border-top-right-radius:0px;
        border-bottom-left-radius:0px;
            
            &:before,&:after{
                
                width:100%;
                height:100%;
               
            }
        }
        
    }
    .adapt-fl img{
        @media (max-width: 768px) {
    
            padding-bottom: 30px !important;
            margin-top: 50px;
             
     
         }
    }
    
    